<configuration debug="false">
	<appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
		<file>/var/log/puppetserver/access.log</file>
		<append>true</append>
		<rollingPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
			<fileNamePattern>/var/log/puppetserver/access-%d{yyyy-MM-dd}.%i.log.gz</fileNamePattern>
			<maxFileSize>200MB</maxFileSize>
			<maxHistory>90</maxHistory>
			<totalSizeCap>1GB</totalSizeCap>
		</rollingPolicy>
		<encoder>
			<pattern>%h %l %u [%t] "%r" %s %b "%i{Referer}" "%i{User-Agent}" %D %i{Content-Length} %mdc{jruby.borrow-time:--}</pattern>
		</encoder>
	</appender>
	<appender-ref ref="FILE" />
</configuration>
